<div class="container tky-full-width">
    <div class="row"><strong>
        Gráfica
      </strong>        
              <div class="col col-md-12 tky-full-width">
        
                  <div style="display: block">
                      <canvas baseChart
                              [datasets]="barChartData"
                              [labels]="barChartLabels"
                              [options]="barChartOptions"
                              [legend]="barChartLegend"
                              [chartType]="barChartType"
                              (chartHover)="chartHovered($event)"
                              (chartClick)="chartClicked($event)"></canvas>
                    </div>
                  
        
        
              </div>
      </div>
      <app-doughnut-graphic 
      [doughnutChartLabels]="doughnutChartLabels" 
      [doughnutChartData]="doughnutChartData">

      </app-doughnut-graphic>
      <div class="row tky-full-width text-center center-text center-block">
        
        <div class="container">
          <mat-card class="tky-full-width text-center center-text center-block">
              <strong>
                  Tabla de Datos</strong>
                  <div class="padre">
                      <div class="hijo">
                          <mat-card class="bg-warning">
                              <table class="table table-responsive table-condensed tky-full-width text-center center-text center-block">
                                  <tr class="tky-full-width">
                                    <th *ngFor="let label of barChartLabels">{{label}}</th>
                                  </tr>
                                  <tr *ngFor="let d of barChartData" class="tky-full-width">
                                    <td *ngFor="let label of barChartLabels; let j=index">{{d && d.data[j]}}</td>
                                  </tr>
                                </table>
                          </mat-card>
                        
                      </div>
                    </div>
            <mat-card-actions 	align="end">
                <button mat-raised-button (click)="randomize()">Actualizar</button>
            </mat-card-actions>
          </mat-card>
        </div>

       

      </div>
</div>